--- title: "addDevice (Service)" slug: "dpgw-ig-adddevice-service-5-12" updated: 2026-01-14T12:09:37Z published: 2026-01-14T17:11:00Z canonical: "docs.onespan.com/dpgw-ig-adddevice-service-5-12" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # addDevice (Service) > This command is deprecated! Use [MdlAddDevice (service) [v2]](/sec/docs/dpgw-ig-mdladddevice-service-v2-5-12) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The addDevice service registers a new device that supports Secure Channel activation. It retrieves Activation Message 2 (instance). ## URL https://dpgateway_host:dpgateway_port/addDevice ## Request Parameters to the service are passed via the URI query component. | addDevice parameters | | --- | | Parameter name | Data type | Description | | registrationID | String | Required. The unique identifier of a user for a given activation process. | | deviceCode | String | Required. The device code generated by the mobile application using the Digipass SDK. This is needed for validation and derivation purposes. | ### Example POST https://192.0.2.1:11080/addDevice?registrationID=vxcJRl7O&deviceCode=1234567890 ## Response | addDevice return values | | --- | | Return value | Description | | message | A JSON value that contains the status message in case of an error. | | returnCode | The return code provided by OneSpan Authentication Server. 0 is returned in case of success. | | instanceActivationMessage | The instance activation message (i.e. Activation Message 2). | ### Example ```json {  "returnCode": 0,  "instanceActivationMessage": "AA82DD554C7A39356FC033203A9F7EB6..." } ```